-- +goose Up
CREATE EXTENSION IF NOT EXISTS "uuid-ossp";

ALTER TABLE budgets DROP COLUMN id;
ALTER TABLE budgets ADD COLUMN id uuid DEFAULT uuid_generate_v4() NOT NULL;

ALTER TABLE users DROP COLUMN id;
ALTER TABLE users ADD COLUMN id uuid DEFAULT uuid_generate_v4() NOT NULL;

TRUNCATE TABLE user_budgets;
ALTER TABLE user_budgets DROP COLUMN user_id;
ALTER TABLE user_budgets DROP COLUMN budget_id;
ALTER TABLE user_budgets ADD COLUMN user_id uuid NOT NULL;
ALTER TABLE user_budgets ADD COLUMN budget_id uuid NOT NULL;

-- +goose Down
DROP EXTENSION "uuid-ossp";
ALTER TABLE budgets DROP COLUMN id;
ALTER TABLE budgets ADD COLUMN id char(26) NOT NULL;

ALTER TABLE users DROP COLUMN id;
ALTER TABLE users ADD COLUMN id char(26) NOT NULL;

ALTER TABLE user_budgets DROP COLUMN user_id;
ALTER TABLE user_budgets DROP COLUMN budget_id;
ALTER TABLE user_budgets ADD COLUMN user_id char(26) NOT NULL;
ALTER TABLE user_budgets ADD COLUMN budget_id char(26) NOT NULL;